<style>
    .mini-hero-image {
        width: 100%;
        height: 200px;
        background-color: white;
        background-size: cover;
        background-position: center;
        display: flex;
        flex-direction: column;
        justify-content: center;
        position: relative;
        border-radius: 10px;
    }

    .text-mini-hero {
        font-size: 2em;
        text-shadow: 1px 2px rgba(0,0,0,0.5);
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
    }

    .mini-hero-text-subtitle {
        font-size: 1em;
        display: flex;
        justify-content: space-between;
    }

    .mini-hero-play {
        font-size: 15rem;
        text-shadow: 1px 1px rgba(0,0,0,0.5);
    }

    .mini-hero-play-button:hover {
        text-shadow: 2px 2px rgba(0,0,0,0.5);
    }

    .mini-hero-gradient {
        background: -moz-linear-gradient(bottom, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%); /* FF3.6-15 */
        background: -webkit-linear-gradient(bottom, rgba(0,0,0,1) 0%,rgba(0,0,0,0) 100%); /* Chrome10-25,Safari5.1-6 */
        background: linear-gradient(to top, rgba(0,0,0,1) 0%,rgba(0,0,0,0) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#000000', endColorstr='#00000000',GradientType=0 ); /* IE6-9 */
        border-radius: 10px;
    }

    .mini-hero {
        color: white;
        display: <%=display ? "block" : "none"%>;
    }

    .mini-hero-label {
        text-transform: none;
    }

    .small-hero-toggle {
        position: absolute;
        top:10px;
        right:10px;
        text-shadow: 1px 1px rgba(0,0,0,0.5);
    }

    .title-mini-hero {
        margin-top: 2rem;
        font-size: 2em;
        color: black;
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
    }
</style>

<%
    if (hero) {
        var bgImage = hero.image;
        var style = "";
        if (!bgImage) {
            style = (`background-size: contain;
            background-repeat: no-repeat;
            background-color: black;`)
            bgImage = hero.profileImage;
        }
%>

<div class="mini-hero mb10">
    <h3 class="center-text subtle-text mini-hero-label"><%=hero.label%></h3>
    <div class="title-mini-hero">
            <a class="plain" href="<%=hero.subtitleLink%>"><%=hero.subtitle%></a>
        </div>
    <div class="mini-hero-image box-shadow-top" style="background-image: url('<%=bgImage%>'); <%=style%>">
        <div class="hero-toggle large-hero-toggle clickable"><i style="color: white" class="fa fa-expand" aria-hidden="true"></i></div>
        <% if(hero.licenseAddress) { %>
        <div class="mini-hero-play center-text">
            <i class="fa fa-play-circle mini-hero-play-button clickable audio-track"
               licenseaddress="<%=hero.licenseAddress%>"
               style="color: white"
               aria-hidden="true"></i>
        </div>
        <% } %>
    </div>
</div>
<%
    }
%>
